<?php

	namespace VLW\Database\Tables\Search;

	use vlw\xEnum;

	enum SearchTypeEnum {
		use xEnum;

		case WORK;
	}

	enum Search: string {
		use xEnum;

		const TABLE = "search";

		case ID    = "id";
		case QUERY = "query";
		case TYPE  = "type";
		case TITLE = "title";
		case TEXT  = "text";
		case HREF  = "href";
	}